function love.load()
	love.keyboard.setKeyRepeat(true)

	source = love.audio.newSource('loop.mp3', 'static')
	source:setLooping(true)
	love.audio.play(source)

	highgain = 1
end

function love.keypressed(key)
	if key == 'up' then
		highgain = math.min(highgain + 0.01, 1)
	elseif key == 'down' then
		highgain = math.max(highgain - 0.01, 0)
	end

	source:setFilter({ type = "lowpass", highgain = highgain })
end

function love.draw()
	love.graphics.print(highgain)
end
